program truc;
{ Traite certains fichiers html }

var FR, FW :text;
    St   : String;
    Italique,
    Bold,
    HRef,
    Value,
    Guillemet,
    Cmd  : Boolean;

  procedure TraiteLigne(var Ligne:String);
  var i:byte;
      StNew,
      StPlus:String;
  begin
    {
    if Pos('<a name="_Toc', St)=0 then
    Writeln(FW, St);
    }
    StNew:='';
    for i:=1 to length(Ligne) do
    begin
     StPlus:=Ligne[i];
     case Ligne[i] of
      '<' : begin
	      Cmd:=True;
	      Value:=True;
	    end;
      '>' : Cmd:=False;
      '/' : if Cmd then Value:=False else Value:=True;
      'i' : if Cmd then Italique:=Value;
      'b' : if Cmd then Bold:=Value;
      'a' : if Cmd then Href:=Value;
      'p' : if Cmd then Guillemet:=False;
      '"' : if not Cmd then
	     begin
	       Guillemet:=not Guillemet;
	       case Guillemet of
		 True : StPlus:='<i>"';
		 False: StPlus:='"</i>';
	       end;
	     end;
     end;
     StNew:=StNew+StPlus;
    end;
    Writeln(FW, StNew);
  end;

  procedure TraiteFichier(Name:String);
  var NameR, NameW : String;
  begin
    Cmd:=False; Bold:=False; Italique:=False; HRef:=False; Guillemet:=False;
    NameR:=Name+'.htm';
    NameW:=Name+'.bak';
    Assign(FR, NameR); Reset(FR);
    Assign(FW, NameW); Rewrite(FW);
    while not eof(FR) do begin
      Readln(FR, St);
      TraiteLigne(St);
    end;
    Close(FW);
    close(FR);
    Erase(FR);
    Rename(FW, NameR);
  end;

begin
  TraiteFichier('plvl400');
  TraiteFichier('plvl401');
  TraiteFichier('plvl402');
  TraiteFichier('plvl403');
  TraiteFichier('plvl404');
  TraiteFichier('plvl405');
  TraiteFichier('plvl406');
  TraiteFichier('plvl407');
  TraiteFichier('plvl408');
  TraiteFichier('plvl409');
  TraiteFichier('plvl410');
  TraiteFichier('plvl411');
  TraiteFichier('plvl412');
end.